let moment = require('moment')
module.exports = {


    friendlyName: 'Create',


    description: 'Delete programme!',


    inputs: {
        id: {
            type: 'string',
            required: true
        },
    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)
        const { /*id, */user } = this.req.token;

        //console.log("INPUTS", inputs)
        let userCodeEcole;
        if (user.typeUser === 'ENSEIGNANT') {
            userCodeEcole = user.codeEcole
        } else {
            return exits.notFound({ message: "Vous n'etes pas autoriser a accéder a cette page!" })

        }

        // VERIFICATION DU CODE ECOLE
        if (user.codeEcole === '' || user.codeEcole === null || user.codeEcole === undefined) {
            return exits.notFound({ message: "Veuillez préciser le code Ecole pour cet utulisateur pour a accéder a cette page!" })
        }
        ecoleVerif = await Ecoles.find({ codeEcole: user.codeEcole }).then(_.first)
        if (!ecoleVerif) {
            return exits.notFound({ message: "Cet utilisateur n'est attribué a aucune ecole!" })
        }
        // FIN VERIF CODE ECOLE

        inputs.codeEcole = userCodeEcole
        ///////////////////


        let programmeDetailsVerify = await ProgrammeDetails.find({ id: inputs.id }).then(_.first)

        if (!programmeDetailsVerify) {
            return exits.notFound({ message: "Ce code n'existe pas, suppresson impossible!" })
        }

        let programme = await ProgrammeDetails.destroy({ id: programmeDetailsVerify.id }).fetch()

        return exits.success({ message: 'Done !' });
        // All done.


    }


};
